Skip to main content

Create a business record

POST 

/api/v2/records

Creates a new business record in the system using form and module IDs.

Required Fields:

  • moduleId: One of ["LM", "OM", "CM", "AM"], or a custom module ID (e.g. CO1, CO2, CO12)
  • formId: One of ["LF1", "CF1", "AF1", "OF1"], or <moduleId>_F1 for a custom module (e.g. CO1_F1)
  • templateId: One of ["LT1", "CT1", "AT1", "OT1"]
  • records: Must be an object with at least:
    • F5: assignedTo (values can be fetched using Field lookup API endpoint)
    • F6: Set value as OPEN

Required Permissions:

  • Module-specific Create permissions

This endpoint also allows capturing opportunities directly from conversation messages and is for channels like Whatsapp Web, Whatsapp Cloud API, Whatsapp Twilio, Instagram, Telegram, Telegram Wazzup, Facebook Messenger

Request

Responses

Business record created successfully